### Method

# WebKit2 WebsiteDataManager set_persistent_credential_storage_enabled

since: 2.30

#### Declaration [src]

    void
    webkit_website_data_manager_set_persistent_credential_storage_enabled (
      WebKitWebsiteDataManager* manager,
      gboolean enabled
    )

#### Description [src]

Enable or disable persistent credential storage.

When enabled, which is the default for non-ephemeral sessions, the network process will try to read and write HTTP authentiacation credentials from persistent storage.

Available since: 2.30

#### Parameters

`enabled`

  Type: `gboolean`

  Value to set.